khaetnim

hello

unity version : 2019.2.1
spine version : 3.8.72
unity-spine runtime version : last commit sep 5, 2019
unity 2dtoolkit version : latest version
unity project setting define SPINE_TK2D

Upgrade from Spine 3.6 to 3.8
I get the following error in Unity


Assets\Spine\Editor\spine-unity\Editor\Utility\AssetUtility.cs(313,49): error CS1503: Argument 2: cannot convert from 'Spine.Unity.SkeletonDataCompatibility.CompatibilityProblemInfo' to 'Spine.Unity.AtlasAssetBase'


I need a solution.
help me
khaetnim
  • Сообщения: 6

Shiu

I'm afraid that my knowledge of the Unity runtime is limited. Did you export your data again from Spine 3.8?

I've taken the liberty to move this thread to the Unity forum.
Аватара пользователя
Shiu

Shiu
  • Сообщения: 2382

badlogic

Going straight from spine-unity 3.6 to 3.8 is unlikely to work. Please follow the 3.6 to 3.7 upgrade guide. Then upgrade your project from 3.7 to 3.8. In all cases, make sure your assets have been exported with the corresponding Spine Editor version.

You can find the upgrade guides here:

Spine-Unity 3.6 to 3.7 Upgrade Guide
Spine-Unity 3.7 to 3.8 Upgrade Guide
Аватара пользователя
badlogic

Mario
  • Сообщения: 2127


Вернуться в Unity